// SPURGE.DCL
//
// ***  SuperPurge   [Version 1.05] 1/12/96  ***
//
// Copyright 1996 Manu-Soft Computer Services
//
// ***************************************
// ****  Author:  Owen Wengerd        ****
// ****                               ****
// ****  Manu-Soft Computer Services  ****
// ****  P.O. Box 84                  ****
// ****  Fredericksburg, OH  44627    ****
// ****  (216) 695-5903               ****
// ****  Compu-Serve ID:  71324,3252  ****
// ***************************************
//
//
//  Dialog box definitions for SPURGE.LSP


dcl_settings : default_dcl_settings { audit_level = 1; }


sp_1  :column {
        spacer;
        :row {
          :popup_list {
            label = "Object";
            mnemonic = "O";
            key = "otype";
            width = 21;
            list = "<All>\nBlocks\nLayers\nLinetypes\n"
                   "Text Styles\nViewports\nApp IDs\n"
                   "Named Views\nUcs\nDimension Styles\n"
                   "Groups\nMultiline Styles\nShape Files\n"
                   "Dictionaries\nDuplicate Objects\n";
          }
          :popup_list {
            label = "  Spec";
            mnemonic = "S";
            key = "ospec";
            list = "<All>\n<None>";
          }
        }
        :edit_box {
          label = "Edit Pattern:";
          mnemonic = "E";
          key = "pattern";
        }
        spacer;
      }


sp_2  :column {
        :row {
          :button {
            label = "[ Reset ]";
            mnemonic = "R";
            key = "reset";
          }
          spacer_1;
          spacer_1;
          :button {
            label = "Select All";
            mnemonic = "t";
            key = "all";
          }
          spacer;
          :button {
            label = "Clear All";
            mnemonic = "C";
            key = "none";
          }
        }
        spacer;
        :row {
          :boxed_radio_column {
            label = "Object disposition";
            key = "disposition";
            value = "PSel";
            :radio_button {
              label = "Purge selected";
              mnemonic = "u";
              key = "pdisp";
            }
            :radio_button {
              label = "Exclude selected";
              mnemonic = "x";
              key = "xdisp";
            }
          }
          :boxed_radio_column {
            label = "Object selection method";
            key = "sel_method";
            value = "sind";
            :radio_button {
              label = "Individual objects";
              mnemonic = "I";
              key = "sind";
            }
            :radio_button {
              label = "Pattern match";
              mnemonic = "m";
              key = "spat";
            }
          }
        }
        :boxed_row {
          spacer_1;
          :button {
            label = "Scan database...";
            mnemonic = "n";
            key = "getref";
          }
          spacer;
          :toggle {
            label = "Show only purgeable objects";
            mnemonic = "w";
            key = "p_only";
            is_enable = false;
          }
        }
      }


sp_3  :column {
        :boxed_column {
          label = "Parameter file";
          :text {
            label = "                  ";
            key = "pfilename";
          }
          :button {
            label = "Load...";
            mnemonic = "d";
            key = "pload";
          }
          :button {
            label = "Save...";
            mnemonic = "v";
            key = "psave";
          }
        }
        spacer;
        :boxed_column {
          label = "Log file";
          :text {
            label = "                  ";
            key = "logfilename";
          }
          :toggle {
            label = "Use Log File";
            mnemonic = "L";
            key = "uselog";
          }
          :button {
            label = "Filename...";
            mnemonic = "F";
            key = "logfile";
          }
        }
        spacer_1;
        spacer_1;
        spacer;
        :button {
          label = "Purge";
          mnemonic = "P";
          key = "accept";
          is_default = true;
          height = 3;
        }
        spacer_1;
        :button {
          label = "Cancel";
          mnemonic = "a";
          key = "cancel";
          is_cancel = true;
          height = 2;
        }
        spacer_1;
        :button {
          label = "Help...";
          mnemonic = "H";
          key = "help";
          height = 2;
        }
      }


SPURGE  :dialog {
          value = "SuperPurge Lite v. 1.05";
          key = "title";
          :row {
            :boxed_column {
              label = "Symbol table objects";
              sp_1;
              :row {
                :list_box {
                  key = "olist";
                  multiple_select = true;
                  tabs = "2 7";
                  fixed_height = true;
                  height = 15;
                  width = 40;
                }
                :slider {
                  label = "Page";
                  key = "page";
                  layout = vertical;
                  value = "1000";
                  max_value = 1000;
                  min_value = 1;
                  small_increment = 1;
                  big_increment = 1;
                }
              }
              sp_2;
            }
            sp_3;
          }
          spacer;
          errtile;
        }


SPURGE_ :dialog {     // Smaller footprint version for low-res display
          value = "SuperPurge Lite v. 1.05";
          key = "title";
          :row {
            :boxed_column {
              label = "Symbol table objects";
              sp_1;
              :row {
                :list_box {
                  key = "olist";
                  multiple_select = true;
                  tabs = "2 7";
                  fixed_height = true;
                  height = 9;
                  width = 40;
                }
                :slider {
                  label = "Page";
                  key = "page";
                  layout = vertical;
                  value = "1000";
                  max_value = 1000;
                  min_value = 1;
                  small_increment = 1;
                  big_increment = 1;
                }
              }
              sp_2;
            }
            sp_3;
          }
          spacer;
          errtile;
        }
